%define upstream_name	 POE-Component-Server-HTTP
%define	upstream_version 0.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:   	Poe Component to write HTTP server
License:   	Artistic and GPL+	
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.bz2
# Disable dependency on POE::API::Peek which is broken with perl-5.22,
# bug rhbz#1231252, CPAN RT#105463
Patch0:         POE-Component-Server-HTTP-0.09-Make-POE-API-Peek-optional.patch

BuildRequires:  perl(HTTP::Date)
BuildRequires:  perl(HTTP::Status)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(YAML)
# For testsuite:
BuildRequires:  perl(POE) >= 0.300

BuildArch:	noarch

%description
POE::Component::Server::HTTP (PoCo::HTTPD) is a framework for building custom 
HTTP servers based on POE. 
It is loosely modeled on the ideas of apache and the mod_perl/Apache module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%patch0 -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes README
%{perl_vendorlib}/POE
%{_mandir}/man3/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-9.mga6
+ Revision: 1032541
- Rebuild for perl 5.22.2

* Thu Mar 24 2016 tv <tv> 0.90.0-8.mga6
+ Revision: 994807
- BR perl(POE) for testsuite
- disable dependency on POE::API::Peek (rhbz#1231252)
  (the later does not work with perl-5.22)

* Thu Feb 04 2016 umeabot <umeabot> 0.90.0-7.mga6
+ Revision: 935166
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-6.mga5
+ Revision: 744257
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.90.0-4.mga4
+ Revision: 513867
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-3.mga3
+ Revision: 371266
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 05 2012 jquelin <jquelin> 0.90.0-2.mga3
+ Revision: 326869
- adding missing buildrequires:

* Mon Jan 24 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 37251
- adding missing buildrequires:
- mageia rebuild
- imported package perl-POE-Component-Server-HTTP


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.90.0-1mdv2010.0
+ Revision: 406181
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.09-4mdv2009.0
+ Revision: 241822
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-2mdv2008.0
+ Revision: 86802
- rebuild


* Mon May 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.09-1mdv2007.0
- New release 0.09
- spec cleanup

* Wed May 03 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.08-3mdk
- Fix According to perl Policy
	- BuildRequires
	- Source URL

* Fri Jan 27 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.08-2mdk
- Add buildRequires

* Wed Jan 25 2006 Michael Scherer <misc@mandriva.org> 0.08-1mdk
- First Mandriva package

